<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.basic.info.modular.tankInfo.mapper.TankInfoMapper">

    <select id="selectMyMapsPage" resultType="java.util.Map">
        select a.*,o.org_name from basic_tank a
        INNER JOIN org_info o on o.org_id = a.org_id
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
        ORDER BY a.id DESC
    </select>
</mapper>